# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.524.9.9 -> 1.524.9.10
#	drivers/usb/serial/keyspan.c	1.29    -> 1.30   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/01	bhards@bigpond.net.au	1.524.9.10
# [PATCH] possible keyspan debug bug
# 
# While doing some cleanups of duplication #include entries,
# I found what looks like a minor bug.
# 
# The keyspan driver does #include <linux/usb.h> twice. Not
# normally a problem, because of the idempotent constructions.
# 
# But in this case the behaviour of the dbg() module depends on
# the value of DEBUG. Keyspan tries to handle this, but the
# first #include is before the definition, and the second one
# has no effect. Patch attached.
# 
# I don't have the hardware to test, but it sure looks wrong now.
# --------------------------------------------
#
diff -Nru a/drivers/usb/serial/keyspan.c b/drivers/usb/serial/keyspan.c
--- a/drivers/usb/serial/keyspan.c	Fri Aug  2 11:15:29 2002
+++ b/drivers/usb/serial/keyspan.c	Fri Aug  2 11:15:29 2002
@@ -86,7 +86,6 @@
 #include <linux/module.h>
 #include <linux/spinlock.h>
 #include <asm/uaccess.h>
-#include <linux/usb.h>
 
 #ifdef CONFIG_USB_SERIAL_DEBUG
 	static int debug = 1;
